//******************************************************************************
//  Copyright (c) 2005-2008 by Jan Van hijfte
//
//  See the included file COPYING.TXT for details about the copyright.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//******************************************************************************


#ifndef C_QDATETIMEEDIT_H
#define C_QDATETIMEEDIT_H

C_EXPORT QDateTimeEditH QDateTimeEdit_create(QWidgetH parent);
C_EXPORT void QDateTimeEdit_destroy(QDateTimeEditH handle);
C_EXPORT QDateTimeEditH QDateTimeEdit_create2(const QDateTimeH dt, QWidgetH parent);
C_EXPORT QDateTimeEditH QDateTimeEdit_create3(const QDateH d, QWidgetH parent);
C_EXPORT QDateTimeEditH QDateTimeEdit_create4(const QTimeH t, QWidgetH parent);
C_EXPORT void QDateTimeEdit_dateTime(QDateTimeEditH handle, QDateTimeH retval);
C_EXPORT void QDateTimeEdit_date(QDateTimeEditH handle, QDateH retval);
C_EXPORT void QDateTimeEdit_time(QDateTimeEditH handle, QTimeH retval);
C_EXPORT void QDateTimeEdit_minimumDateTime(QDateTimeEditH handle, QDateTimeH retval);
C_EXPORT void QDateTimeEdit_clearMinimumDateTime(QDateTimeEditH handle);
C_EXPORT void QDateTimeEdit_setMinimumDateTime(QDateTimeEditH handle, const QDateTimeH dt);
C_EXPORT void QDateTimeEdit_maximumDateTime(QDateTimeEditH handle, QDateTimeH retval);
C_EXPORT void QDateTimeEdit_clearMaximumDateTime(QDateTimeEditH handle);
C_EXPORT void QDateTimeEdit_setMaximumDateTime(QDateTimeEditH handle, const QDateTimeH dt);
C_EXPORT void QDateTimeEdit_setDateTimeRange(QDateTimeEditH handle, const QDateTimeH min, const QDateTimeH max);
C_EXPORT void QDateTimeEdit_minimumDate(QDateTimeEditH handle, QDateH retval);
C_EXPORT void QDateTimeEdit_setMinimumDate(QDateTimeEditH handle, const QDateH min);
C_EXPORT void QDateTimeEdit_clearMinimumDate(QDateTimeEditH handle);
C_EXPORT void QDateTimeEdit_maximumDate(QDateTimeEditH handle, QDateH retval);
C_EXPORT void QDateTimeEdit_setMaximumDate(QDateTimeEditH handle, const QDateH max);
C_EXPORT void QDateTimeEdit_clearMaximumDate(QDateTimeEditH handle);
C_EXPORT void QDateTimeEdit_setDateRange(QDateTimeEditH handle, const QDateH min, const QDateH max);
C_EXPORT void QDateTimeEdit_minimumTime(QDateTimeEditH handle, QTimeH retval);
C_EXPORT void QDateTimeEdit_setMinimumTime(QDateTimeEditH handle, const QTimeH min);
C_EXPORT void QDateTimeEdit_clearMinimumTime(QDateTimeEditH handle);
C_EXPORT void QDateTimeEdit_maximumTime(QDateTimeEditH handle, QTimeH retval);
C_EXPORT void QDateTimeEdit_setMaximumTime(QDateTimeEditH handle, const QTimeH max);
C_EXPORT void QDateTimeEdit_clearMaximumTime(QDateTimeEditH handle);
C_EXPORT void QDateTimeEdit_setTimeRange(QDateTimeEditH handle, const QTimeH min, const QTimeH max);
C_EXPORT unsigned int QDateTimeEdit_displayedSections(QDateTimeEditH handle);
C_EXPORT QDateTimeEdit::Section QDateTimeEdit_currentSection(QDateTimeEditH handle);
C_EXPORT QDateTimeEdit::Section QDateTimeEdit_sectionAt(QDateTimeEditH handle, int index);
C_EXPORT void QDateTimeEdit_setCurrentSection(QDateTimeEditH handle, QDateTimeEdit::Section section);
C_EXPORT int QDateTimeEdit_currentSectionIndex(QDateTimeEditH handle);
C_EXPORT void QDateTimeEdit_setCurrentSectionIndex(QDateTimeEditH handle, int index);
C_EXPORT QCalendarWidgetH QDateTimeEdit_calendarWidget(QDateTimeEditH handle);
C_EXPORT void QDateTimeEdit_setCalendarWidget(QDateTimeEditH handle, QCalendarWidgetH calendarWidget);
C_EXPORT int QDateTimeEdit_sectionCount(QDateTimeEditH handle);
C_EXPORT void QDateTimeEdit_setSelectedSection(QDateTimeEditH handle, QDateTimeEdit::Section section);
C_EXPORT void QDateTimeEdit_sectionText(QDateTimeEditH handle, PWideString retval, QDateTimeEdit::Section section);
C_EXPORT void QDateTimeEdit_displayFormat(QDateTimeEditH handle, PWideString retval);
C_EXPORT void QDateTimeEdit_setDisplayFormat(QDateTimeEditH handle, PWideString format);
C_EXPORT bool QDateTimeEdit_calendarPopup(QDateTimeEditH handle);
C_EXPORT void QDateTimeEdit_setCalendarPopup(QDateTimeEditH handle, bool enable);
C_EXPORT Qt::TimeSpec QDateTimeEdit_timeSpec(QDateTimeEditH handle);
C_EXPORT void QDateTimeEdit_setTimeSpec(QDateTimeEditH handle, Qt::TimeSpec spec);
C_EXPORT void QDateTimeEdit_sizeHint(QDateTimeEditH handle, PSize retval);
C_EXPORT void QDateTimeEdit_clear(QDateTimeEditH handle);
C_EXPORT void QDateTimeEdit_stepBy(QDateTimeEditH handle, int steps);
C_EXPORT bool QDateTimeEdit_event(QDateTimeEditH handle, QEventH event);
C_EXPORT void QDateTimeEdit_setDateTime(QDateTimeEditH handle, const QDateTimeH dateTime);
C_EXPORT void QDateTimeEdit_setDate(QDateTimeEditH handle, const QDateH date);
C_EXPORT void QDateTimeEdit_setTime(QDateTimeEditH handle, const QTimeH time);
C_EXPORT QTimeEditH QTimeEdit_create(QWidgetH parent);
C_EXPORT void QTimeEdit_destroy(QTimeEditH handle);
C_EXPORT QTimeEditH QTimeEdit_create2(const QTimeH time, QWidgetH parent);
C_EXPORT QDateEditH QDateEdit_create(QWidgetH parent);
C_EXPORT void QDateEdit_destroy(QDateEditH handle);
C_EXPORT QDateEditH QDateEdit_create2(const QDateH date, QWidgetH parent);

#endif
